/* google font */
@import url("https://fonts.googleapis.com/css2?family=Lato&family=Miranda+Sans:ital,wght@0,500;1,500&display=swap");

* {
	padding: 0px;
	margin: 0px;
	box-sizing: border-box;
	font-family: "Miranda Sans", sans-serif;
}

body {
	width: 100vw;
	height: 100vh;
	align-items: center;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.wrapper {
	max-width: 1200px;
	margin: 0 auto;
	padding: 0px 20px;
}

.container {
	width: 100%;
	height: 100%;
	padding: 20px;
}

.cards {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 20px;
}

@media (max-width: 768px) {
	.cards {
		flex-direction: column;
	}
}

/*
*HEADER
*/

header {
	width: 100%;
	padding: 20px 0;
	background-color: #eeecec;
	display: flex;
	align-items: center;
	font-family: "Lato", sans-serif;
}

header a {
	text-decoration: none;
	color: #333;
}

nav {
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

nav .active {
	border-bottom: 1px solid #333;
	border-width: 2px;
	padding: 1px 4px;
}

ul li {
	display: inline-block;
	padding: 0px 20px;
	font-size: 18px;
	font-weight: 500;
	color: #333;
	transition: all 0.3s ease-in-out;
	text-decoration: none;
	font-size: 16px;
}

ul li :hover {
	color: #007bff;
	border-color: #007bff;
}

@media (max-width: 768px) {
	header {
		flex-direction: column;
		row-gap: 15px;
	}
	nav {
		flex-direction: column;
	}
	ul li {
		padding: 10px 20px;
	}
}

/**
MAIN
*/

main {
	flex: 1;
	width: 100%;
	padding: 20px 0;
}

/*
*FOOTER
*/
footer {
	width: 100%;
	padding: 20px 0;
	background-color: #eeecec;
	text-align: center;
	font-size: 14px;
	color: #333;
}

/*
INDEX
*/

.link-cards {
	display: flex;
	flex-direction: column;
	width: 45%;
	min-height: 150px;
	border-radius: 10px;
	border: 1px solid #ccc;
	padding: 10px;
	background: #833ab4;
	background: linear-gradient(
		90deg,
		rgba(131, 58, 180, 1) 0%,
		rgba(54, 44, 44, 1) 50%,
		rgba(38, 25, 4, 1) 100%
	);
}

.link-cards:last-child {
	background: #b4773a;
	background: linear-gradient(
		90deg,
		rgba(180, 119, 58, 1) 0%,
		rgba(44, 54, 46, 1) 50%,
		rgba(28, 19, 8, 1) 100%
	);
}

.link-cards a {
	width: 100%;
	height: 100%;
	text-decoration: none;
	color: #fff;
	flex: 1;
}

.link-cards a div {
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: end;
	align-items: end;
}

.link-cards a:hover h2 {
	color: #d9e252;
}

/*
* PEOPLE (STARWAR CHARACTER PROFILE)
*/

#characterListDiv {
	justify-content: center;
}

.character-cards {
	width: 45%;
	min-height: 150px;
	border-radius: 10px;
	border: 1px solid #ccc;
	display: flex;
	padding: 20px 10px;
	justify-content: center;
	flex-direction: column;
	row-gap: 10px;
}

.character-cards ul {
	display: flex;
	flex-direction: column;
	row-gap: 10px;
}

.character-cards ul li {
	padding: 0px;
}

/*
*FILMS
*/

.film-cards {
	width: 100%;
	border-radius: 10px;
	border: 1px solid #ccc;
	display: flex;
	flex-direction: column;
	padding: 20px 10px;
	row-gap: 10px;
	margin: 10px 0px;
}

/*
*Extra Mobile Styles
*/

@media (max-width: 768px) {
	.link-cards,
	.character-cards {
		width: 100%;
	}
}
